back-to-back tests: add TG tests
[csit.git] / resources / libraries / bash / function / gather.sh
index 2112e1b..4958e52 100644 (file)
@@ -57,6 +57,10 @@ function gather_build () {
             DUT="dpdk"
             gather_dpdk || die "The function should have died on error."
             ;;
+        *"trex"*)
+            DUT="trex"
+            gather_trex || die "The function should have died on error."
+            ;;
         *)
             die "Unable to identify DUT type from: ${TEST_CODE}"
             ;;
@@ -110,6 +114,16 @@ function gather_dpdk () {
     fi
 }
 
+function gather_trex () {
+
+    # This function is required to bypass download dir check.
+    # Currently it creates empty file in download dir.
+    # TODO: Add required packages
+
+    set -exuo pipefail
+
+    touch trex-download-to-be-added.txt
+}
 
 function gather_vpp () {
 
@@ -124,7 +138,8 @@ function gather_vpp () {
     # - ${CSIT_DIR}/DPDK_STABLE_VER - DPDK version to use
     #   by csit-vpp not-timed jobs.
     # - ${CSIT_DIR}/${VPP_VER_FILE} - Ubuntu VPP version to use.
-    # - ../*vpp*.deb|rpm - Relative to ${DOWNLOAD_DIR}, copied for vpp-csit jobs.
+    # - ../*vpp*.deb|rpm - Relative to ${DOWNLOAD_DIR},
+    #   copied for vpp-csit jobs.
     # Directories updated:
     # - ${DOWNLOAD_DIR}, vpp-*.deb files are copied here for vpp-csit jobs.
     # - ./ - Assumed ${DOWNLOAD_DIR}, *vpp*.deb|rpm files
@@ -157,8 +172,10 @@ function gather_vpp () {
             download_artifacts || die
             ;;
         "vpp-csit-"*)
+            # Shorten line.
+            pgks="${PKG_SUFFIX}"
             # Use locally built packages.
-            mv "${DOWNLOAD_DIR}"/../*vpp*."${PKG_SUFFIX}" "${DOWNLOAD_DIR}"/ || {
+            mv "${DOWNLOAD_DIR}"/../*vpp*."${pkgs}" "${DOWNLOAD_DIR}"/ || {
                 die "Move command failed."
             }
             ;;